<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ExhibitorProfile extends Model
{
    protected $table = 'exhibitor_profile';
    
    protected $guarded = ['id'];

    public function user()
    {
        return $this->belongsTo('App\Models\User', 'user_id');
    }

    public function payments()
    {
        return $this->hasMany('App\Models\Payment','id');
    }

    public function stall()
    {
        return $this->hasMany('App\Models\ExhibitorStall', 'exhibitor_profile_id');
    }
    
    public function contractor()
    {
        return $this->hasOne('App\Models\Contractor', 'contractor_id');
    }

    public function power()
    {
        return $this->hasMany('App\Models\PowerRequirementDetail', 'power_requirement_id');
    }

    public function furniture()
    {
        return $this->hasMany('App\Models\FurnitureRequirementDetail', 'furniture_requirement_id');
    }

    public function advertisement()
    {
        return $this->hasMany('App\Models\AdvertisementRequirementDetails', 'advertisement_requirement_id');
    }


    // Custom Attributes
    // public function getStallTotalAttribute()
    // {
    //     return array_reduce($this->stall->all(), function($total, $stall){
    //         return $total + $stall->grandtotal;
    //     }, 0);
    // }
    // public function getCgstTotalAttribute()
    // {
    //     return array_reduce($this->stall->all(), function($total, $stall){
    //         return $total + $stall->cgst;
    //     }, 0);
    // }
    // public function getSgstTotalAttribute()
    // {
    //     return array_reduce($this->stall->all(), function($total, $stall){
    //         return $total + $stall->sgst;
    //     }, 0);
    // }
    // public function getTotalAmountAttribute()
    // {
    //     return array_reduce($this->stall->all(), function($total, $stall){
    //         return $total + $stall->total;
    //     }, 0);
    // }
    // public function getTotalAreaAttribute()
    // {
    //     return array_reduce($this->stall->all(), function($total, $stall){
    //         return $total + $stall->area;
    //     }, 0);
    // }

}
