<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use App\Models\PowerRequirementDetail;
class PowerRequirement extends Model
{
    use HasFactory;
    protected $table = 'power_requirements';

    protected $guarded = ['id'];

    public function details()
    {
        return $this->hasMany('App\Models\PowerRequirementDetail', 'power_requirement_id');
    }
    public static function saveRequirement($request, $id)
    {
        $powerRequirement = new PowerRequirement;
        $powerRequirement->fill($request->power_requirement);
        $powerRequirement->user_id = $id;
        $powerRequirement->save();
        foreach ($request->power_requirement_details as $detail) {
            $powerRequirementDetail = new PowerRequirementDetail;
            $powerRequirementDetail->fill($detail);
            $powerRequirementDetail->power_requirement_id = $powerRequirement->id;
            $powerRequirementDetail->save();
        }    
    }
    public static function updateRequirement($request, $id)
    {
        PowerRequirement::where(['user_id' => $id])->delete();
        $powerRequirement = new PowerRequirement;
        if (isset($request->power_requirement['id'])) {
            $powerRequirement->id = $request->power_requirement['id'];
        }
        $powerRequirement->fill($request->power_requirement);
        $powerRequirement->user_id = $id;
        $powerRequirement->save();
        PowerRequirementDetail::where(['power_requirement_id' => $powerRequirement->id])->delete();
        foreach ($request->power_requirement_details as $detail) {
            $powerRequirementDetail = new PowerRequirementDetail;
            if (isset($detail['id'])) {
                $powerRequirementDetail->id = $detail['id'];
                unset($detail['id']);
            }
            $powerRequirementDetail->fill($detail);
            $powerRequirementDetail->power_requirement_id = $powerRequirement->id;
            $powerRequirementDetail->save();
        }
    }
}
