    @extends('layouts.dashboard')
        @section('content')
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-header">
                            @include('notification')
                            <div style="text-transform:capitalize;display: inline-block;margin: 10px 0 0 0;" class="card-title">Mail Settings</div>
                            <button style="display: inline-block;float: right;margin: 12px 0 20px 0;" type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#verticalycenteredmailsettings">
                                Add Mail Settings
                            </button>
                        </div>
                        <div class="card-body">
                        <table class="table datatable datatable-table">
                                <thead>
                                    <tr>
                                    <th data-sortable="true" style="width: 9.195402298850574%;"><button
                                                class="datatable-sorter">#</button></th>
                                                <th data-sortable="true" style="width: 9.195402298850574%;"><button
                                                class="datatable-sorter">Category</button></th>
                                                <th data-sortable="true" style="width: 9.195402298850574%;"><button
                                                class="datatable-sorter">Email</button></th>
                                        <th data-format="YYYY/DD/MM" data-sortable="true" data-type="date"
                                            style="width: 16.912972085385878%;"><button class="datatable-sorter">Edit</button></th>
                                        <th data-sortable="true" class="red" style="width: 18.555008210180624%;"><button
                                                class="datatable-sorter">Delete</button></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @if(isset($arr['settings']))
                                    @foreach($arr['settings'] as $key => $data)
                                    <tr>
                                        <td>{{ $key + 1 }}</td>
                                        <td>{{ str_replace('-',' ', strtoupper($data['type'])) }}</td>
                                        <td>{{ $data['value'] }}</td>
                                        <td>
                                        <button type="button" class="btn btn-success" data-bs-toggle="modal" data-bs-target="#editcenteredmail{{$key}}">
                                            <i class="bi bi-check-circle"></i>
                                        </button>
                                        </td>
                                        <td>
                                            <form method="POST" action="{{url('admin/home/email-management/mail-settings/destroy')}}" id="deleteForm{{$key}}">
                                                @csrf
                                                @method('POST')
                                                <input type="hidden" name="model" value="mail-settings">
                                                <input type="hidden" name="id" value="{{$key}}">
                                                <button type="button" class="btn btn-danger" onclick="confirmAreaDelete({{$key}})"><i class="bi bi-exclamation-octagon"></i></button>
                                            </form>
                                        </td>
                                    </tr>
                                    <div class="modal fade" id="editcenteredmail{{$key}}" tabindex="-1" style="display: none;" aria-hidden="true">
                                            <div class="modal-dialog modal-dialog-centered">
                                                <div class="modal-content">
                                                    <div class="modal-header">
                                                        <h5 class="modal-title" style="display: inline-block;">Update Mail 
                                                            <div class="icon" style="display: inline-block;">
                                                                <i class="bi bi-check-circle-fill verified_icon"></i>
                                                            </div>
                                                        </h5>
                                                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                                    </div>
                                                    <div class="modal-body">
                                                    <form action="{{url('admin/home/email-management/mail-settings/update')}}" class="needs-validation tax_master_update" method="POST" novalidate enctype="multipart/form-data">
                                                        @csrf
                                                        <input type="hidden" value="mail-settings" name="model">
                                                        <input type="hidden" value="{{$key}}" name="id">
                                                        <div class="form-group mb-3">
                                                            <label>Emails <span style="color:red"> (comma separated) </span> </label>
                                                            <input type="text" name="email" value={{$data['value']}} required class="form-control">
                                                            <div class="invalid-feedback">
                                                                Please provide Emails.
                                                            </div>
                                                        </div>
                                                        <div class="form-group mb-3">
                                                            <label>Select Mail Category</label>
                                                            <select name="category" required class="form-control">
                                                                @foreach($categories as $key => $category)
                                                                    <option {{$data['type'] == $category ? 'selected' : '' }} value="{{$category}}">{{ strtoupper($category) }}</option>
                                                                @endforeach
                                                            </select>
                                                            <div class="invalid-feedback">
                                                                Please provide Category.
                                                            </div>
                                                        </div>
                                                        <div class="form-group">
                                                            <input type="submit" value="Submit" class="btn btn-primary">
                                                        </div>
                                                    </form>
                                                    </div>
                                                    <div class="modal-footer">
                                                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    @endforeach
                                    @endif
                                </tbody>
                        </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Modal -->
        <div class="modal fade" id="verticalycenteredmailsettings" tabindex="-1" style="display: none;" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title">Mail Settings</h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                        <form action="{{url('admin/home/email-management/mail-settings')}}" class="needs-validation taxes_master" method="POST" novalidate enctype="multipart/form-data">
                            @csrf
                                <input type="hidden" value="mail-settings" name="model">
                                <div class="form-group mb-3">
                                    <label>Emails <span style="color:red"> (comma separated) </span> </label>
                                    <input type="text" name="email" required class="form-control">
                                    <div class="invalid-feedback">
                                        Please provide Emails.
                                    </div>
                                </div>
                                <div class="form-group mb-3">
                                    <label>Select Mail Category</label>
                                    <select name="category" required class="form-control">
                                        @foreach($categories as $key => $category)
                                            <option value="{{$category}}">{{ strtoupper($category) }}</option>
                                        @endforeach
                                    </select>
                                    <div class="invalid-feedback">
                                        Please provide Category.
                                    </div>
                                </div>
                                <div class="form-group">
                                    <input type="submit" value="Submit" class="btn btn-primary">
                                </div>
                            </form>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                        </div>
                    </div>
                </div>
            </div>
        <!-- Modal Ends -->
    @endsection