    @extends('layouts.dashboard')
        @section('content')
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-header">
                            @include('notification')
                            <div style="text-transform:capitalize;display: inline-block;margin: 10px 0 0 0;" class="card-title">Exhibitor Dashboard Instructions</div>
                            @if(isset($arr['status']))
                            <button style="display: inline-block;float: right;margin: 12px 0 20px 0;" type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#verticalycenteredexhibitorcontent">
                                Add Instructions
                            </button>
                            @endif
                        </div>
                        <div class="card-body">
                        <table class="table datatable datatable-table">
                                <thead>
                                    <tr>
                                    <th data-sortable="true" style="width: 9.195402298850574%;"><button
                                                class="datatable-sorter">#</button></th>
                                        <th data-sortable="true" style="width: 9.195402298850574%;"><button
                                                class="datatable-sorter">Content</button></th>
                                        <th data-format="YYYY/DD/MM" data-sortable="true" data-type="date"
                                            style="width: 16.912972085385878%;"><button class="datatable-sorter">Edit</button></th>
                                        <th data-sortable="true" class="red" style="width: 18.555008210180624%;"><button
                                                class="datatable-sorter">Delete</button></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @if(isset($arr['status']))
                                        <tr>
                                            <td>#</td>
                                            <td>{{ $arr['content'] }}</td>
                                            <td>
                                                <button type="button" class="btn btn-success">
                                                        <i class="bi bi-check-circle"></i>
                                                </button>
                                            </td>
                                            <td>
                                                <button type="button" class="btn btn-danger"><i class="bi bi-exclamation-octagon"></i></button>
                                            </td>
                                        </tr>
                                    @else
                                        <tr>
                                            <td>#</td>
                                            <td>{!! $arr['content'] !!}</td>
                                            <td>
                                                <button type="button" class="btn btn-success" data-bs-toggle="modal" data-bs-target="#editcenteredcontent{{$arr['id']}}">
                                                        <i class="bi bi-check-circle"></i>
                                                </button>
                                            </td>
                                            <td>
                                                <form method="POST" action="{{url('admin/home/masters/exhibitor-content/destroy')}}" id="deleteForm">
                                                    @csrf
                                                    @method('POST')
                                                    <input type="hidden" name="model" value="Page">
                                                    <input type="hidden" name="id" value="{{$arr['id']}}">
                                                    <button type="button" class="btn btn-danger" onclick="confirmDelete()"><i class="bi bi-exclamation-octagon"></i></button>
                                                </form>
                                            </td>
                                        </tr>
                                        <div class="modal fade" id="editcenteredcontent{{$arr['id']}}" tabindex="-1" style="display: none;" aria-hidden="true">
                                            <div class="modal-dialog modal-dialog-centered">
                                                <div class="modal-content">
                                                    <div class="modal-header">
                                                        <h5 class="modal-title" style="display: inline-block;">Update Content
                                                            <div class="icon" style="display: inline-block;">
                                                                <i class="bi bi-check-circle-fill verified_icon"></i>
                                                            </div>
                                                        </h5>
                                                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                                    </div>
                                                    <div class="modal-body">
                                                    <form action="{{url('admin/home/masters/exhibitor-content/update')}}" class="needs-validation map_master_update" method="POST" novalidate enctype="multipart/form-data">
                                                        @csrf
                                                        <input type="hidden" value="exhibitor-dashboard-instructions" name="model">
                                                        <input type="hidden" value="{{$arr['id']}}" name="id">
                                                        <div class="form-group mb-3">
                                                            <label>Content</label>
                                                            <textarea name="content" class="tinymce-editor" required>
                                                                {!! $arr['content'] !!}
                                                            </textarea>
                                                            <div class="invalid-feedback">
                                                                Please add Content.
                                                            </div>
                                                        </div>
                                                        <div class="form-group">
                                                            <input type="submit" value="Submit" class="btn btn-primary">
                                                        </div>
                                                    </form>
                                                    </div>
                                                    <div class="modal-footer">
                                                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    @endif
                                </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <!--  -->
        <div class="modal fade" id="verticalycenteredexhibitorcontent" tabindex="-1" style="display: none;" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Schedule Content</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <form action="{{url('admin/home/masters/exhibitor-content')}}" class="needs-validation exhibito_content_master" method="POST" novalidate enctype="multipart/form-data">
                        @csrf
                        <input type="hidden" value="exhibitor-dashboard-instructions" name="model">
                        <textarea name="content" class="tinymce-editor" required>
                            <p>Hello World!</p>
                            <p>This is Dummy <strong>Text</strong>..</p>
                        </textarea>
                        <div class="form-group mb-3">
                        <!-- <div class="quill-editor-full">
                            <p>Hello World!</p>
                            <p>This is Quill <strong>default</strong> editor</p>
                        </div> -->
                            <div class="invalid-feedback">
                                Please Add Content.
                            </div>
                        </div>
                        <div class="form-group">
                            <input type="submit" value="Submit" class="btn btn-primary">
                        </div>
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>
    @endsection