    @extends('layouts.dashboard')
        @section('content')
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-header">
                            @include('notification')
                            <div style="text-transform:capitalize;display: inline-block;margin: 10px 0 0 0;" class="card-title">Taxes</div>
                            <button style="display: inline-block;float: right;margin: 12px 0 20px 0;" type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#verticalycenteredtaxes">
                                Add Taxes
                            </button>
                        </div>
                        <div class="card-body">
                        <table class="table datatable datatable-table">
                                <thead>
                                    <tr>
                                    <th data-sortable="true" style="width: 9.195402298850574%;"><button
                                                class="datatable-sorter">#</button></th>
                                                <th data-sortable="true" style="width: 9.195402298850574%;"><button
                                                class="datatable-sorter">Name</button></th>
                                                <th data-sortable="true" style="width: 9.195402298850574%;"><button
                                                class="datatable-sorter">Value</button></th>
                                        <th data-format="YYYY/DD/MM" data-sortable="true" data-type="date"
                                            style="width: 16.912972085385878%;"><button class="datatable-sorter">Edit</button></th>
                                        <th data-sortable="true" class="red" style="width: 18.555008210180624%;"><button
                                                class="datatable-sorter">Delete</button></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach($arr as $key => $data)
                                        <tr data-index="{{$key}}">
                                            <td>{{$key + 1 }}</td>
                                            <td>{{ $data['name'] }}</td>
                                            <td>{{ $data['value'] }}%</td>
                                            <td class="green">
                                                @if(!isset($data['status']))
                                                <button type="button" class="btn btn-success" data-bs-toggle="modal" data-bs-target="#editcenteredtax{{$data['id']}}">
                                                    <i class="bi bi-check-circle"></i>
                                                </button>
                                                @else
                                                    <button type="button" class="btn btn-success"><i class="bi bi-check-circle"></i></button>
                                                @endif
                                            </td>
                                            <td class="green">
                                                @if(!isset($data['status']))
                                                <form method="POST" action="{{url('admin/home/masters/taxes/destroy')}}" id="deleteForm">
                                                    @csrf
                                                    @method('POST')
                                                    <input type="hidden" name="model" value="Tax">
                                                    <input type="hidden" name="id" value="{{$data['id']}}">
                                                    <button type="button" class="btn btn-danger" onclick="confirmDelete()"><i class="bi bi-exclamation-octagon"></i></button>
                                                </form>
                                                @else
                                                <button type="button" class="btn btn-danger"><i class="bi bi-exclamation-octagon"></i></button>
                                                @endif
                                            </td>
                                        </tr>
                                        @if(!isset($data['status']))
                                        <div class="modal fade" id="editcenteredtax{{$data['id']}}" tabindex="-1" style="display: none;" aria-hidden="true">
                                            <div class="modal-dialog modal-dialog-centered">
                                                <div class="modal-content">
                                                    <div class="modal-header">
                                                        <h5 class="modal-title" style="display: inline-block;">Update Taxes 
                                                            <div class="icon" style="display: inline-block;">
                                                                <i class="bi bi-check-circle-fill verified_icon"></i>
                                                            </div>
                                                        </h5>
                                                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                                    </div>
                                                    <div class="modal-body">
                                                    <form action="{{url('admin/home/masters/taxes/update')}}" class="needs-validation tax_master_update" method="POST" novalidate enctype="multipart/form-data">
                                                        @csrf
                                                        <input type="hidden" value="taxes" name="model">
                                                        <input type="hidden" value="{{$data['id']}}" name="id">
                                                        <div class="form-group mb-3">
                                                        <select name="name" class="form-control">
                                                            @foreach($taxes as $key => $tax)
                                                                <option value="{{$key}}" {{$tax == $data["name"] ? "selected" : "" }} >{{ strtoupper($tax) }}</option>
                                                            @endforeach
                                                        </select>
                                                            <div class="invalid-feedback">
                                                                Please provide name.
                                                            </div>
                                                        </div>
                                                        <div class="form-group mb-3">
                                                            <label>Value</label>
                                                            <input type="text" placeholder="9%..." name="value" value="{{$data['value']}}" class="form-control">
                                                            <div class="invalid-feedback">
                                                                Please provide value.
                                                            </div>
                                                        </div>
                                                        <div class="form-group">
                                                            <input type="submit" value="Submit" class="btn btn-primary">
                                                        </div>
                                                    </form>
                                                    </div>
                                                    <div class="modal-footer">
                                                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        @endif
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="modal fade" id="verticalycenteredtaxes" tabindex="-1" style="display: none;" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Taxes</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <form action="{{url('admin/home/masters/taxes')}}" class="needs-validation taxes_master" method="POST" novalidate enctype="multipart/form-data">
                    @csrf
                        <input type="hidden" value="taxes" name="model">
                        <div class="form-group mb-3">
                            <label>Select Tax</label>
                            <select name="name" class="form-control">
                                @foreach($taxes as $key => $tax)
                                    <option value="{{$key}}">{{ strtoupper($tax) }}</option>
                                @endforeach
                            </select>
                            <div class="invalid-feedback">
                                Please provide Tax Name.
                            </div>
                        </div>
                        <div class="form-group mb-3">
                            <label>Value (%)</label>
                            <input type="number" placeholder="5%.." required name="value" class="form-control">
                            <div class="invalid-feedback">
                                Please provide value.
                            </div>
                        </div>
                        <div class="form-group">
                            <input type="submit" value="Submit" class="btn btn-primary">
                        </div>
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>
    @endsection