@extends('layouts.dashboard')
@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                @include('notification')
                <div class="card-header">
                    <div style="text-transform:capitalize;display: inline-block;margin: 10px 0 0 0;" class="card-title">Exhibitor</div>
                    <a style="float: right;margin: 10px 0 20px 0;" href="{{ url('/admin/home/exhibitors/create') }}" class="btn btn-primary">Add Exhibitor</a>
                </div>
                <div class="card-body">
                <table class="table datatable datatable-table">
                        <thead>
                            <tr>
                            <th data-sortable="true" style="width: 9.195402298850574%;"><button
                                        class="datatable-sorter">#</button></th>
                                <th data-sortable="true" style="width: 9.195402298850574%;"><button
                                        class="datatable-sorter">Company Name</button></th>
                                <th data-sortable="true" style="width: 9.195402298850574%;"><button
                                class="datatable-sorter">Name</button></th>
                                <th data-sortable="true" style="width: 9.195402298850574%;"><button
                                class="datatable-sorter">Email</button></th>
                                <th data-sortable="true" style="width: 9.195402298850574%;"><button
                                class="datatable-sorter">Mobile</button></th>
                                <th data-sortable="true" data-type="date"
                                    style="width: 16.912972085385878%;"><button class="datatable-sorter">View</button></th>
                                <th data-format="YYYY/DD/MM" data-sortable="true" data-type="date"
                                    style="width: 16.912972085385878%;"><button class="datatable-sorter">Edit</button></th>
                                <th data-sortable="true" class="red" style="width: 18.555008210180624%;"><button
                                        class="datatable-sorter">Delete</button></th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach($exhibitors as $key => $exhibitor)
                            <tr>
                                <td>{{ $key + 1 }}</td>
                                <td>{{ $exhibitor->profile ? $exhibitor->profile->company_name : '-' }}</td>
                                <td>{{ $exhibitor->name }}</td>
                                <td>{{ $exhibitor->email }}</td>
                                <td>{{ $exhibitor->profile ? $exhibitor->profile->mobile : '-' }}</td>
                                @if($key > 0)
                                <td>
                                    <a href="{{ url('/admin/home/exhibitors/list/' . encrypt($exhibitor->id)) }}" class="btn btn-warning"><i class="bi bi-eye"></i></a>
                                </td>
                                <td>
                                <a href="{{ url('/admin/home/exhibitors/' . encrypt($exhibitor->id) . '/edit') }}" class="btn btn-primary">
                                    <i class="bi bi-check-circle"></i>
                                </a>
                                </td>
                                <td>
                                    <form action="{{ route('exhibitors.destroy', $exhibitor->id) }}" method="POST">
                                        @csrf
                                        @method('DELETE')
                                        
                                        <button type="submit" class="btn btn-danger" onclick="return confirm('Are you sure you want to delete this user?')">
                                            <i class="bi bi-exclamation-octagon"></i>
                                        </button>
                                    </form>
                                </td>
                                @else
                                <td>-</td>
                                <td>-</td>
                                <td>-</td>
                                @endif
                            </tr>
                            @endforeach
                        </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
@endsection