    @extends('layouts.dashboard')
        @section('content')
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-header">
                            @include('notification')
                            <div style="text-transform:capitalize;display: inline-block;margin: 10px 0 0 0;" class="card-title">power</div>
                        </div>
                        <div class="card-body">
                        @if($exhibitor->powerRequirement)
                    <table class="table table-striped table-bordered table-responsive">
                        <thead>
                            <tr>
                                <th>Type</th>
                                <th>Rate Per KW Rupee</th>
                                <th>Power Required</th>
                                <th>Phase</th>
                                <th>Total Amount</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($exhibitor->powerRequirement->details as $detail)
                                <tr>
                                    <td>{{ $detail->type }}</td>
                                    <td>{{ $detail->rate_per_kw }}</td>
                                    <td>{{ $detail->power_required }} KW</td>
                                    <td>{{ $detail->phase }}</td>
                                    <td>{{ $detail->total }}</td>
                                </tr>
                            @endforeach
                        </tbody>
                        <tfoot>
                            <tr>
                                <th></th>
                                <th></th>
                                <th></th>
                                <th>Total Rs: </th>
                                <th>Rs. {{$exhibitor->powerRequirement->sub_total}}</th>
                            </tr>
                        	@if(!round($exhibitor->powerRequirement->discount,2) == 0)
                            <tr>
                                <th></th>
                                <th></th>
                                <th></th>
                                <th>Discount(%)</th>
                                <th>{{$exhibitor->powerRequirement->discount}}</th>
                            </tr>
                            <tr>
                                <th></th>
                                <th></th>
                                <th></th>
                                <th>Discount Amount</th>
                                <th>Rs. {{$exhibitor->powerRequirement->discount_amount}}</th>
                            </tr>
                            <tr>
                                <th></th>
                                <th></th>
                                <th></th>
                                <th>After Discount Amount</th>
                                <th>Rs. {{$exhibitor->powerRequirement->discounted_amount}}</th>
                            </tr>
                            @endif
                            <tr>
                                <th></th>
                                <th></th>
                                <th></th>
                                <th>@SGST: (9%) </th>
                                <th>Rs. {{$exhibitor->powerRequirement->sgst}}</th>
                            </tr>
                            <tr>
                                <th></th>
                                <th></th>
                                <th></th>
                                <th>@CGST: (9%) </th>
                                <th value="0">Rs. {{$exhibitor->powerRequirement->cgst}}</th>
                            </tr>
                            <tr>
                                <th></th>
                                <th></th>
                                <th></th>
                                <th>Grand Total: </th>
                                <th>Rs. {{$exhibitor->powerRequirement->grand_total}}</th>
                            </tr>
                        </tfoot>
                    </table>                   
                    @endif
                        </div>
                    </div>
                </div>
            </div>
        </div>
    @endsection